Skip to main content
GET
/
v1
/
aliases
List Alias Accounts
curl --request GET \
  --url https://crm.sandbox.lerian.net/v1/aliases \
  --header 'X-Organization-id: <x-organization-id>'
{ "items": [ { "id": "01951ad1-9f62-793a-9095-fe7701f94434", "holderId": "0194f0ea-2cb2-78c9-b9be-704ba20a9cd8", "document": "08912345965", "ledgerId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a", "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081", "bankingDetails": { "branch": "0001", "account": "123450", "type": "CACC", "openingDate": "2010-01-01", "iban": "US12345678901234567890", "countryCode": "US", "bankId": "12345" }, "relatedParties": [ { "id": "01951ad2-1234-5678-9abc-def012345678", "document": "91315026015", "name": "John Doe", "role": "PRIMARY_HOLDER", "startDate": "2024-01-01" } ], "regulatoryFields": { "participantDocument": "00000000000191" }, "metadata": { "key": "value" }, "createdAt": "2024-12-17T14:34:09.191705548Z", "updatedAt": "2024-12-17T14:34:09.191705648Z", "deletedAt": null }, { "id": "01951ad2-abcd-ef01-2345-67890abcdef0", "holderId": "0194f0ea-2cb2-78c9-b9be-704ba20a9cd8", "document": "08912345965", "ledgerId": "019c96a0-0ac0-7de9-9f53-9cf842a2ee5a", "accountId": "019c96a0-0c0c-7221-8cf3-13313fb60081", "bankingDetails": { "branch": "0001", "account": "123451", "type": "CACC", "openingDate": "2010-01-01", "closingDate": "2024-06-30", "iban": "US12345678901234567891", "countryCode": "US", "bankId": "12345" }, "relatedParties": [ { "id": "01951ad2-5678-9abc-def0-123456789abc", "document": "98765432100", "name": "Jane Doe", "role": "LEGAL_REPRESENTATIVE", "startDate": "2024-01-01", "endDate": "2024-06-30" } ], "regulatoryFields": { "participantDocument": "00000000000191" }, "metadata": { "key": "value" }, "createdAt": "2024-12-17T14:34:09.191705548Z", "updatedAt": "2024-12-17T14:34:09.191705648Z", "deletedAt": "2024-12-17T14:34:09.191705648Z" } ], "page": 1, "limit": 10 }

Headers

Authorization
string

The authorization token in the 'Bearer ' format.

Important: This header is required if your environment has Access Manager enabled. For more information, refer to the Access Manager documentation.

X-Organization-id
string
required

The unique identifier of the Organization associated with the request.

Example:

"019c96a0-0a98-7287-9a31-786e0809c769"

Query Parameters

holder_id
string

Unique ID of the holder.

metadata
string

The metadata key provided when the Alias Account was created.

limit
integer
default:10

The maximum number of items to include in the response.

page
integer
default:1

The number of the page that you want to retrieve.

sort_order
enum<string>

The order used to sort the results.

Available options:
asc,
desc
include_deleted
string

If true, the Alias Accounts that were logically deleted (soft deleted) will also be included.

account_id
string

Filters Alias Accounts linked to a specific account ID.

ledger_id
string

Filters Alias Accounts linked to a specific ledger ID.

document
string

Filters Alias Accounts by document number.

banking_details_branch
string

Filters Alias Accounts by bank branch.

banking_details_account
string

Filters Alias Accounts by bank account.

banking_details_iban
string

Filters Alias Accounts by bank IBAN.

Response

Indicates that the resource was successfully created and the operation was completed as expected.

items
object[]
required

List of returned results.

page
integer
default:1
required

The number of the page returned.

limit
integer
default:10
required

The maximum number of items to include in the response.